Fetches a fresh { public_key, key_id } from Provable’s RecordScanner /pubkey endpoint. The iframe uses this to encrypt its view key before calling /scanner/register.
curl --request GET \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/waas/aleo/scanner/pubkey \
--header 'Authorization: Bearer <token>'{
"public_key": "<string>",
"key_id": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://www.dynamic.xyz/docs/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
testnet, mainnet Was this page helpful?
curl --request GET \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/waas/aleo/scanner/pubkey \
--header 'Authorization: Bearer <token>'{
"public_key": "<string>",
"key_id": "<string>"
}